org.apache.lucene.queryParser.standard

## Class QueryParserWrapper.Operator

- java.lang.Object
- - org.apache.lucene.util.Parameter
  - - org.apache.lucene.queryParser.standard.QueryParserWrapper.Operator

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    QueryParserWrapper

      public static final class QueryParserWrapper.Operator
      extends org.apache.lucene.util.Parameter

  The default operator for parsing queries. Use `QueryParserWrapper.setDefaultOperator(org.apache.lucene.queryParser.standard.QueryParserWrapper.Operator)` to change it.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static QueryParserWrapper.Operator` | `AND`
    `static QueryParserWrapper.Operator` | `OR`

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.util.Parameter

      `readResolve, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OR

          public static final QueryParserWrapper.Operator OR

    - #### AND

          public static final QueryParserWrapper.Operator AND

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.